
mgl-font2tex License
====================

mgl-font2tex is distributed under the zlib license.

    Copyright (c) 2023 Acerola Software

    This software is provided 'as-is', without any express or implied
    warranty.  In no event will the authors be held liable for any damages
    arising from the use of this software.

    Permission is granted to anyone to use this software for any purpose,
    including commercial applications, and to alter it and redistribute it
    freely, subject to the following restrictions:
      
    1. The origin of this software must not be misrepresented; you must not
       claim that you wrote the original software. If you use this software
       in a product, an acknowledgment in the product documentation would be
       appreciated but is not required. 
    2. Altered source versions must be plainly marked as such, and must not be
       misrepresented as being the original software.
    3. This notice may not be removed or altered from any source distribution.


Third-Party Software Licenses
=============================

mgl-font2tex uses these libraries:

 - FreeType (The FreeType License or GNU GPL version 2)
 - JsonCpp (MIT license or public domain)
 - libpng (PNG Reference Library License)
 - zlib (zlib license)


FreeType
--------

### LICENSE.TXT

    The  FreeType 2  font  engine is  copyrighted  work and  cannot be  used
    legally  without a  software license.   In  order to  make this  project
    usable  to a vast  majority of  developers, we  distribute it  under two
    mutually exclusive open-source licenses.

    This means  that *you* must choose  *one* of the  two licenses described
    below, then obey  all its terms and conditions when  using FreeType 2 in
    any of your projects or products.

      - The FreeType License, found in  the file `FTL.TXT', which is similar
        to the original BSD license *with* an advertising clause that forces
        you  to  explicitly cite  the  FreeType  project  in your  product's
        documentation.  All  details are in the license  file.  This license
        is  suited  to products  which  don't  use  the GNU  General  Public
        License.

        Note that  this license  is  compatible  to the  GNU General  Public
        License version 3, but not version 2.

      - The GNU General Public License version 2, found in  `GPLv2.TXT' (any
        later version can be used  also), for programs which already use the
        GPL.  Note  that the  FTL is  incompatible  with  GPLv2 due  to  its
        advertisement clause.

    The contributed BDF and PCF drivers  come with a license similar to that
    of the X Window System.  It is compatible to the above two licenses (see
    file src/bdf/README and  src/pcf/README).  The same holds  for the files
    `fthash.c' and  `fthash.h'; their  code was  part of  the BDF  driver in
    earlier FreeType versions.

    The gzip module uses the zlib license (see src/gzip/zlib.h) which too is
    compatible to the above two licenses.

    The MD5 checksum support (only used for debugging in development builds)
    is in the public domain.


    --- end of LICENSE.TXT ---


### FTL.TXT

                        The FreeType Project LICENSE
                        ----------------------------

                                2006-Jan-27

                        Copyright 1996-2002, 2006 by
              David Turner, Robert Wilhelm, and Werner Lemberg



    Introduction
    ============

      The FreeType  Project is distributed in  several archive packages;
      some of them may contain, in addition to the FreeType font engine,
      various tools and  contributions which rely on, or  relate to, the
      FreeType Project.

      This  license applies  to all  files found  in such  packages, and
      which do not  fall under their own explicit  license.  The license
      affects  thus  the  FreeType   font  engine,  the  test  programs,
      documentation and makefiles, at the very least.

      This  license   was  inspired  by  the  BSD,   Artistic,  and  IJG
      (Independent JPEG  Group) licenses, which  all encourage inclusion
      and  use of  free  software in  commercial  and freeware  products
      alike.  As a consequence, its main points are that:

        o We don't promise that this software works. However, we will be
          interested in any kind of bug reports. (`as is' distribution)

        o You can  use this software for whatever you  want, in parts or
          full form, without having to pay us. (`royalty-free' usage)

        o You may not pretend that  you wrote this software.  If you use
          it, or  only parts of it,  in a program,  you must acknowledge
          somewhere  in  your  documentation  that  you  have  used  the
          FreeType code. (`credits')

      We  specifically  permit  and  encourage  the  inclusion  of  this
      software, with  or without modifications,  in commercial products.
      We  disclaim  all warranties  covering  The  FreeType Project  and
      assume no liability related to The FreeType Project.


      Finally,  many  people  asked  us  for  a  preferred  form  for  a
      credit/disclaimer to use in compliance with this license.  We thus
      encourage you to use the following text:

       """
        Portions of this software are copyright © <year> The FreeType
        Project (www.freetype.org).  All rights reserved.
       """

      Please replace <year> with the value from the FreeType version you
      actually use.


    Legal Terms
    ===========

    0. Definitions
    --------------

      Throughout this license,  the terms `package', `FreeType Project',
      and  `FreeType  archive' refer  to  the  set  of files  originally
      distributed  by the  authors  (David Turner,  Robert Wilhelm,  and
      Werner Lemberg) as the `FreeType Project', be they named as alpha,
      beta or final release.

      `You' refers to  the licensee, or person using  the project, where
      `using' is a generic term including compiling the project's source
      code as  well as linking it  to form a  `program' or `executable'.
      This  program is  referred to  as  `a program  using the  FreeType
      engine'.

      This  license applies  to all  files distributed  in  the original
      FreeType  Project,   including  all  source   code,  binaries  and
      documentation,  unless  otherwise  stated   in  the  file  in  its
      original, unmodified form as  distributed in the original archive.
      If you are  unsure whether or not a particular  file is covered by
      this license, you must contact us to verify this.

      The FreeType  Project is copyright (C) 1996-2000  by David Turner,
      Robert Wilhelm, and Werner Lemberg.  All rights reserved except as
      specified below.

    1. No Warranty
    --------------

      THE FREETYPE PROJECT  IS PROVIDED `AS IS' WITHOUT  WARRANTY OF ANY
      KIND, EITHER  EXPRESS OR IMPLIED,  INCLUDING, BUT NOT  LIMITED TO,
      WARRANTIES  OF  MERCHANTABILITY   AND  FITNESS  FOR  A  PARTICULAR
      PURPOSE.  IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS
      BE LIABLE  FOR ANY DAMAGES CAUSED  BY THE USE OR  THE INABILITY TO
      USE, OF THE FREETYPE PROJECT.

    2. Redistribution
    -----------------

      This  license  grants  a  worldwide, royalty-free,  perpetual  and
      irrevocable right  and license to use,  execute, perform, compile,
      display,  copy,   create  derivative  works   of,  distribute  and
      sublicense the  FreeType Project (in  both source and  object code
      forms)  and  derivative works  thereof  for  any  purpose; and  to
      authorize others  to exercise  some or all  of the  rights granted
      herein, subject to the following conditions:

        o Redistribution of  source code  must retain this  license file
          (`FTL.TXT') unaltered; any  additions, deletions or changes to
          the original  files must be clearly  indicated in accompanying
          documentation.   The  copyright   notices  of  the  unaltered,
          original  files must  be  preserved in  all  copies of  source
          files.

        o Redistribution in binary form must provide a  disclaimer  that
          states  that  the software is based in part of the work of the
          FreeType Team,  in  the  distribution  documentation.  We also
          encourage you to put an URL to the FreeType web page  in  your
          documentation, though this isn't mandatory.

      These conditions  apply to any  software derived from or  based on
      the FreeType Project,  not just the unmodified files.   If you use
      our work, you  must acknowledge us.  However, no  fee need be paid
      to us.

    3. Advertising
    --------------

      Neither the  FreeType authors and  contributors nor you  shall use
      the name of the  other for commercial, advertising, or promotional
      purposes without specific prior written permission.

      We suggest,  but do not require, that  you use one or  more of the
      following phrases to refer  to this software in your documentation
      or advertising  materials: `FreeType Project',  `FreeType Engine',
      `FreeType library', or `FreeType Distribution'.

      As  you have  not signed  this license,  you are  not  required to
      accept  it.   However,  as  the FreeType  Project  is  copyrighted
      material, only  this license, or  another one contracted  with the
      authors, grants you  the right to use, distribute,  and modify it.
      Therefore,  by  using,  distributing,  or modifying  the  FreeType
      Project, you indicate that you understand and accept all the terms
      of this license.

    4. Contacts
    -----------

      There are two mailing lists related to FreeType:

        o freetype@nongnu.org

          Discusses general use and applications of FreeType, as well as
          future and  wanted additions to the  library and distribution.
          If  you are looking  for support,  start in  this list  if you
          haven't found anything to help you in the documentation.

        o freetype-devel@nongnu.org

          Discusses bugs,  as well  as engine internals,  design issues,
          specific licenses, porting, etc.

      Our home page can be found at

        http://www.freetype.org


    --- end of FTL.TXT ---


### GPLv2.TXT

                        GNU GENERAL PUBLIC LICENSE
                           Version 2, June 1991

     Copyright (C) 1989, 1991 Free Software Foundation, Inc.
         51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
     Everyone is permitted to copy and distribute verbatim copies
     of this license document, but changing it is not allowed.

                                Preamble

      The licenses for most software are designed to take away your
    freedom to share and change it.  By contrast, the GNU General Public
    License is intended to guarantee your freedom to share and change free
    software--to make sure the software is free for all its users.  This
    General Public License applies to most of the Free Software
    Foundation's software and to any other program whose authors commit to
    using it.  (Some other Free Software Foundation software is covered by
    the GNU Library General Public License instead.)  You can apply it to
    your programs, too.

      When we speak of free software, we are referring to freedom, not
    price.  Our General Public Licenses are designed to make sure that you
    have the freedom to distribute copies of free software (and charge for
    this service if you wish), that you receive source code or can get it
    if you want it, that you can change the software or use pieces of it
    in new free programs; and that you know you can do these things.

      To protect your rights, we need to make restrictions that forbid
    anyone to deny you these rights or to ask you to surrender the rights.
    These restrictions translate to certain responsibilities for you if you
    distribute copies of the software, or if you modify it.

      For example, if you distribute copies of such a program, whether
    gratis or for a fee, you must give the recipients all the rights that
    you have.  You must make sure that they, too, receive or can get the
    source code.  And you must show them these terms so they know their
    rights.

      We protect your rights with two steps: (1) copyright the software, and
    (2) offer you this license which gives you legal permission to copy,
    distribute and/or modify the software.

      Also, for each author's protection and ours, we want to make certain
    that everyone understands that there is no warranty for this free
    software.  If the software is modified by someone else and passed on, we
    want its recipients to know that what they have is not the original, so
    that any problems introduced by others will not reflect on the original
    authors' reputations.

      Finally, any free program is threatened constantly by software
    patents.  We wish to avoid the danger that redistributors of a free
    program will individually obtain patent licenses, in effect making the
    program proprietary.  To prevent this, we have made it clear that any
    patent must be licensed for everyone's free use or not licensed at all.

      The precise terms and conditions for copying, distribution and
    modification follow.

                        GNU GENERAL PUBLIC LICENSE
       TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

      0. This License applies to any program or other work which contains
    a notice placed by the copyright holder saying it may be distributed
    under the terms of this General Public License.  The "Program", below,
    refers to any such program or work, and a "work based on the Program"
    means either the Program or any derivative work under copyright law:
    that is to say, a work containing the Program or a portion of it,
    either verbatim or with modifications and/or translated into another
    language.  (Hereinafter, translation is included without limitation in
    the term "modification".)  Each licensee is addressed as "you".

    Activities other than copying, distribution and modification are not
    covered by this License; they are outside its scope.  The act of
    running the Program is not restricted, and the output from the Program
    is covered only if its contents constitute a work based on the
    Program (independent of having been made by running the Program).
    Whether that is true depends on what the Program does.

      1. You may copy and distribute verbatim copies of the Program's
    source code as you receive it, in any medium, provided that you
    conspicuously and appropriately publish on each copy an appropriate
    copyright notice and disclaimer of warranty; keep intact all the
    notices that refer to this License and to the absence of any warranty;
    and give any other recipients of the Program a copy of this License
    along with the Program.

    You may charge a fee for the physical act of transferring a copy, and
    you may at your option offer warranty protection in exchange for a fee.

      2. You may modify your copy or copies of the Program or any portion
    of it, thus forming a work based on the Program, and copy and
    distribute such modifications or work under the terms of Section 1
    above, provided that you also meet all of these conditions:

        a) You must cause the modified files to carry prominent notices
        stating that you changed the files and the date of any change.

        b) You must cause any work that you distribute or publish, that in
        whole or in part contains or is derived from the Program or any
        part thereof, to be licensed as a whole at no charge to all third
        parties under the terms of this License.

        c) If the modified program normally reads commands interactively
        when run, you must cause it, when started running for such
        interactive use in the most ordinary way, to print or display an
        announcement including an appropriate copyright notice and a
        notice that there is no warranty (or else, saying that you provide
        a warranty) and that users may redistribute the program under
        these conditions, and telling the user how to view a copy of this
        License.  (Exception: if the Program itself is interactive but
        does not normally print such an announcement, your work based on
        the Program is not required to print an announcement.)

    These requirements apply to the modified work as a whole.  If
    identifiable sections of that work are not derived from the Program,
    and can be reasonably considered independent and separate works in
    themselves, then this License, and its terms, do not apply to those
    sections when you distribute them as separate works.  But when you
    distribute the same sections as part of a whole which is a work based
    on the Program, the distribution of the whole must be on the terms of
    this License, whose permissions for other licensees extend to the
    entire whole, and thus to each and every part regardless of who wrote it.

    Thus, it is not the intent of this section to claim rights or contest
    your rights to work written entirely by you; rather, the intent is to
    exercise the right to control the distribution of derivative or
    collective works based on the Program.

    In addition, mere aggregation of another work not based on the Program
    with the Program (or with a work based on the Program) on a volume of
    a storage or distribution medium does not bring the other work under
    the scope of this License.

      3. You may copy and distribute the Program (or a work based on it,
    under Section 2) in object code or executable form under the terms of
    Sections 1 and 2 above provided that you also do one of the following:

        a) Accompany it with the complete corresponding machine-readable
        source code, which must be distributed under the terms of Sections
        1 and 2 above on a medium customarily used for software interchange; or,

        b) Accompany it with a written offer, valid for at least three
        years, to give any third party, for a charge no more than your
        cost of physically performing source distribution, a complete
        machine-readable copy of the corresponding source code, to be
        distributed under the terms of Sections 1 and 2 above on a medium
        customarily used for software interchange; or,

        c) Accompany it with the information you received as to the offer
        to distribute corresponding source code.  (This alternative is
        allowed only for noncommercial distribution and only if you
        received the program in object code or executable form with such
        an offer, in accord with Subsection b above.)

    The source code for a work means the preferred form of the work for
    making modifications to it.  For an executable work, complete source
    code means all the source code for all modules it contains, plus any
    associated interface definition files, plus the scripts used to
    control compilation and installation of the executable.  However, as a
    special exception, the source code distributed need not include
    anything that is normally distributed (in either source or binary
    form) with the major components (compiler, kernel, and so on) of the
    operating system on which the executable runs, unless that component
    itself accompanies the executable.

    If distribution of executable or object code is made by offering
    access to copy from a designated place, then offering equivalent
    access to copy the source code from the same place counts as
    distribution of the source code, even though third parties are not
    compelled to copy the source along with the object code.

      4. You may not copy, modify, sublicense, or distribute the Program
    except as expressly provided under this License.  Any attempt
    otherwise to copy, modify, sublicense or distribute the Program is
    void, and will automatically terminate your rights under this License.
    However, parties who have received copies, or rights, from you under
    this License will not have their licenses terminated so long as such
    parties remain in full compliance.

      5. You are not required to accept this License, since you have not
    signed it.  However, nothing else grants you permission to modify or
    distribute the Program or its derivative works.  These actions are
    prohibited by law if you do not accept this License.  Therefore, by
    modifying or distributing the Program (or any work based on the
    Program), you indicate your acceptance of this License to do so, and
    all its terms and conditions for copying, distributing or modifying
    the Program or works based on it.

      6. Each time you redistribute the Program (or any work based on the
    Program), the recipient automatically receives a license from the
    original licensor to copy, distribute or modify the Program subject to
    these terms and conditions.  You may not impose any further
    restrictions on the recipients' exercise of the rights granted herein.
    You are not responsible for enforcing compliance by third parties to
    this License.

      7. If, as a consequence of a court judgment or allegation of patent
    infringement or for any other reason (not limited to patent issues),
    conditions are imposed on you (whether by court order, agreement or
    otherwise) that contradict the conditions of this License, they do not
    excuse you from the conditions of this License.  If you cannot
    distribute so as to satisfy simultaneously your obligations under this
    License and any other pertinent obligations, then as a consequence you
    may not distribute the Program at all.  For example, if a patent
    license would not permit royalty-free redistribution of the Program by
    all those who receive copies directly or indirectly through you, then
    the only way you could satisfy both it and this License would be to
    refrain entirely from distribution of the Program.

    If any portion of this section is held invalid or unenforceable under
    any particular circumstance, the balance of the section is intended to
    apply and the section as a whole is intended to apply in other
    circumstances.

    It is not the purpose of this section to induce you to infringe any
    patents or other property right claims or to contest validity of any
    such claims; this section has the sole purpose of protecting the
    integrity of the free software distribution system, which is
    implemented by public license practices.  Many people have made
    generous contributions to the wide range of software distributed
    through that system in reliance on consistent application of that
    system; it is up to the author/donor to decide if he or she is willing
    to distribute software through any other system and a licensee cannot
    impose that choice.

    This section is intended to make thoroughly clear what is believed to
    be a consequence of the rest of this License.

      8. If the distribution and/or use of the Program is restricted in
    certain countries either by patents or by copyrighted interfaces, the
    original copyright holder who places the Program under this License
    may add an explicit geographical distribution limitation excluding
    those countries, so that distribution is permitted only in or among
    countries not thus excluded.  In such case, this License incorporates
    the limitation as if written in the body of this License.

      9. The Free Software Foundation may publish revised and/or new versions
    of the General Public License from time to time.  Such new versions will
    be similar in spirit to the present version, but may differ in detail to
    address new problems or concerns.

    Each version is given a distinguishing version number.  If the Program
    specifies a version number of this License which applies to it and "any
    later version", you have the option of following the terms and conditions
    either of that version or of any later version published by the Free
    Software Foundation.  If the Program does not specify a version number of
    this License, you may choose any version ever published by the Free Software
    Foundation.

      10. If you wish to incorporate parts of the Program into other free
    programs whose distribution conditions are different, write to the author
    to ask for permission.  For software which is copyrighted by the Free
    Software Foundation, write to the Free Software Foundation; we sometimes
    make exceptions for this.  Our decision will be guided by the two goals
    of preserving the free status of all derivatives of our free software and
    of promoting the sharing and reuse of software generally.

                                NO WARRANTY

      11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
    FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW.  EXCEPT WHEN
    OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
    PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
    OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
    MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE ENTIRE RISK AS
    TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU.  SHOULD THE
    PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
    REPAIR OR CORRECTION.

      12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
    WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
    REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
    INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
    OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
    TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
    YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
    PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
    POSSIBILITY OF SUCH DAMAGES.

                         END OF TERMS AND CONDITIONS

                How to Apply These Terms to Your New Programs

      If you develop a new program, and you want it to be of the greatest
    possible use to the public, the best way to achieve this is to make it
    free software which everyone can redistribute and change under these terms.

      To do so, attach the following notices to the program.  It is safest
    to attach them to the start of each source file to most effectively
    convey the exclusion of warranty; and each file should have at least
    the "copyright" line and a pointer to where the full notice is found.

        <one line to give the program's name and a brief idea of what it does.>
        Copyright (C) <year>  <name of author>

        This program is free software; you can redistribute it and/or modify
        it under the terms of the GNU General Public License as published by
        the Free Software Foundation; either version 2 of the License, or
        (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program; if not, write to the Free Software
        Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


    Also add information on how to contact you by electronic and paper mail.

    If the program is interactive, make it output a short notice like this
    when it starts in an interactive mode:

        Gnomovision version 69, Copyright (C) year  name of author
        Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
        This is free software, and you are welcome to redistribute it
        under certain conditions; type `show c' for details.

    The hypothetical commands `show w' and `show c' should show the appropriate
    parts of the General Public License.  Of course, the commands you use may
    be called something other than `show w' and `show c'; they could even be
    mouse-clicks or menu items--whatever suits your program.

    You should also get your employer (if you work as a programmer) or your
    school, if any, to sign a "copyright disclaimer" for the program, if
    necessary.  Here is a sample; alter the names:

      Yoyodyne, Inc., hereby disclaims all copyright interest in the program
      `Gnomovision' (which makes passes at compilers) written by James Hacker.

      <signature of Ty Coon>, 1 April 1989
      Ty Coon, President of Vice

    This General Public License does not permit incorporating your program into
    proprietary programs.  If your program is a subroutine library, you may
    consider it more useful to permit linking proprietary applications with the
    library.  If this is what you want to do, use the GNU Library General
    Public License instead of this License.


JsonCpp
-------

    The JsonCpp library's source code, including accompanying documentation,
    tests and demonstration applications, are licensed under the following
    conditions...

    Baptiste Lepilleur and The JsonCpp Authors explicitly disclaim copyright in all
    jurisdictions which recognize such a disclaimer. In such jurisdictions,
    this software is released into the Public Domain.

    In jurisdictions which do not recognize Public Domain property (e.g. Germany as of
    2010), this software is Copyright (c) 2007-2010 by Baptiste Lepilleur and
    The JsonCpp Authors, and is released under the terms of the MIT License (see below).

    In jurisdictions which recognize Public Domain property, the user of this
    software may choose to accept it either as 1) Public Domain, 2) under the
    conditions of the MIT License (see below), or 3) under the terms of dual
    Public Domain/MIT License conditions described here, as they choose.

    The MIT License is about as close to Public Domain as a license can get, and is
    described in clear, concise terms at:

       http://en.wikipedia.org/wiki/MIT_License

    The full text of the MIT License follows:

    ========================================================================
    Copyright (c) 2007-2010 Baptiste Lepilleur and The JsonCpp Authors

    Permission is hereby granted, free of charge, to any person
    obtaining a copy of this software and associated documentation
    files (the "Software"), to deal in the Software without
    restriction, including without limitation the rights to use, copy,
    modify, merge, publish, distribute, sublicense, and/or sell copies
    of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be
    included in all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
    BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
    ========================================================================
    (END LICENSE TEXT)

    The MIT license is compatible with both the GPL and commercial
    software, affording one all of the rights of Public Domain with the
    minor nuisance of being required to keep the above copyright notice
    and license text in the source code. Note also that by accepting the
    Public Domain "license" you can re-license your copy using whatever
    license you like.


libpng
------

    COPYRIGHT NOTICE, DISCLAIMER, and LICENSE
    =========================================

    PNG Reference Library License version 2
    ---------------------------------------

     * Copyright (c) 1995-2022 The PNG Reference Library Authors.
     * Copyright (c) 2018-2022 Cosmin Truta.
     * Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson.
     * Copyright (c) 1996-1997 Andreas Dilger.
     * Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.

    The software is supplied "as is", without warranty of any kind,
    express or implied, including, without limitation, the warranties
    of merchantability, fitness for a particular purpose, title, and
    non-infringement.  In no event shall the Copyright owners, or
    anyone distributing the software, be liable for any damages or
    other liability, whether in contract, tort or otherwise, arising
    from, out of, or in connection with the software, or the use or
    other dealings in the software, even if advised of the possibility
    of such damage.

    Permission is hereby granted to use, copy, modify, and distribute
    this software, or portions hereof, for any purpose, without fee,
    subject to the following restrictions:

     1. The origin of this software must not be misrepresented; you
        must not claim that you wrote the original software.  If you
        use this software in a product, an acknowledgment in the product
        documentation would be appreciated, but is not required.

     2. Altered source versions must be plainly marked as such, and must
        not be misrepresented as being the original software.

     3. This Copyright notice may not be removed or altered from any
        source or altered source distribution.


    PNG Reference Library License version 1 (for libpng 0.5 through 1.6.35)
    -----------------------------------------------------------------------

    libpng versions 1.0.7, July 1, 2000, through 1.6.35, July 15, 2018 are
    Copyright (c) 2000-2002, 2004, 2006-2018 Glenn Randers-Pehrson, are
    derived from libpng-1.0.6, and are distributed according to the same
    disclaimer and license as libpng-1.0.6 with the following individuals
    added to the list of Contributing Authors:

        Simon-Pierre Cadieux
        Eric S. Raymond
        Mans Rullgard
        Cosmin Truta
        Gilles Vollant
        James Yu
        Mandar Sahastrabuddhe
        Google Inc.
        Vadim Barkov

    and with the following additions to the disclaimer:

        There is no warranty against interference with your enjoyment of
        the library or against infringement.  There is no warranty that our
        efforts or the library will fulfill any of your particular purposes
        or needs.  This library is provided with all faults, and the entire
        risk of satisfactory quality, performance, accuracy, and effort is
        with the user.

    Some files in the "contrib" directory and some configure-generated
    files that are distributed with libpng have other copyright owners, and
    are released under other open source licenses.

    libpng versions 0.97, January 1998, through 1.0.6, March 20, 2000, are
    Copyright (c) 1998-2000 Glenn Randers-Pehrson, are derived from
    libpng-0.96, and are distributed according to the same disclaimer and
    license as libpng-0.96, with the following individuals added to the
    list of Contributing Authors:

        Tom Lane
        Glenn Randers-Pehrson
        Willem van Schaik

    libpng versions 0.89, June 1996, through 0.96, May 1997, are
    Copyright (c) 1996-1997 Andreas Dilger, are derived from libpng-0.88,
    and are distributed according to the same disclaimer and license as
    libpng-0.88, with the following individuals added to the list of
    Contributing Authors:

        John Bowler
        Kevin Bracey
        Sam Bushell
        Magnus Holmgren
        Greg Roelofs
        Tom Tanner

    Some files in the "scripts" directory have other copyright owners,
    but are released under this license.

    libpng versions 0.5, May 1995, through 0.88, January 1996, are
    Copyright (c) 1995-1996 Guy Eric Schalnat, Group 42, Inc.

    For the purposes of this copyright and license, "Contributing Authors"
    is defined as the following set of individuals:

        Andreas Dilger
        Dave Martindale
        Guy Eric Schalnat
        Paul Schmidt
        Tim Wegner

    The PNG Reference Library is supplied "AS IS".  The Contributing
    Authors and Group 42, Inc. disclaim all warranties, expressed or
    implied, including, without limitation, the warranties of
    merchantability and of fitness for any purpose.  The Contributing
    Authors and Group 42, Inc. assume no liability for direct, indirect,
    incidental, special, exemplary, or consequential damages, which may
    result from the use of the PNG Reference Library, even if advised of
    the possibility of such damage.

    Permission is hereby granted to use, copy, modify, and distribute this
    source code, or portions hereof, for any purpose, without fee, subject
    to the following restrictions:

     1. The origin of this source code must not be misrepresented.

     2. Altered versions must be plainly marked as such and must not
        be misrepresented as being the original source.

     3. This Copyright notice may not be removed or altered from any
        source or altered source distribution.

    The Contributing Authors and Group 42, Inc. specifically permit,
    without fee, and encourage the use of this source code as a component
    to supporting the PNG file format in commercial products.  If you use
    this source code in a product, acknowledgment is not required but would
    be appreciated.


zlib
----

    Copyright notice:

     (C) 1995-2022 Jean-loup Gailly and Mark Adler

      This software is provided 'as-is', without any express or implied
      warranty.  In no event will the authors be held liable for any damages
      arising from the use of this software.

      Permission is granted to anyone to use this software for any purpose,
      including commercial applications, and to alter it and redistribute it
      freely, subject to the following restrictions:

      1. The origin of this software must not be misrepresented; you must not
         claim that you wrote the original software. If you use this software
         in a product, an acknowledgment in the product documentation would be
         appreciated but is not required.
      2. Altered source versions must be plainly marked as such, and must not be
         misrepresented as being the original software.
      3. This notice may not be removed or altered from any source distribution.

      Jean-loup Gailly        Mark Adler
      jloup@gzip.org          madler@alumni.caltech.edu

